<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <thymeleaf th:replace="header :: header" />
</head>
<body>
<div class="container">
    <h2>Customer List</h2>
    <div th:if="${not #lists.isEmpty(customers)}">
        <table class="table table-striped">
            <tr>
                <th>Id</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Phone</th>
                <th>Show</th>
                <th>Edit</th>
                <th>Delete</th>
            </tr>
            <tr th:each="customer : ${customers}">
                <td th:text="${customer.id}"></td>
                <td th:text="${customer.firstName}"></td>
                <td th:text="${customer.lastName}"></td>
                <td th:text="${customer.email}"></td>
                <td th:text="${customer.phone}"></td>
                <td><a th:href="@{'/customer/' + ${customer.id}}">View</a></td>
                <td><a th:href="@{'/customer/' + ${customer.id} + '/edit'}">Edit</a></td>
                <td><a th:href="@{'/customer/' + ${customer.id} + '/delete'}">Delete</a></td>
            </tr>
        </table>
        <a th:href="@{'/customer/add'}">New Customer</a>
    </div>
</div>
</body>
</html>

